bdi4jade.util.plan

## Class SequentialGoalPlanBody

- java.lang.Object
- - jade.core.behaviours.Behaviour
  - - bdi4jade.util.plan.SequentialGoalPlanBody

- All Implemented Interfaces:
    OutputPlanBody, PlanBody, java.io.Serializable

      public class SequentialGoalPlanBody
      extends jade.core.behaviours.Behaviour
      implements PlanBody, OutputPlanBody

  This plan
  Author:
    ingrid
  See Also:
    Serialized Form

- - ### Field Summary

    - ### Fields inherited from class jade.core.behaviours.Behaviour

      `STATE_BLOCKED, STATE_READY, STATE_RUNNING`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `SequentialGoalPlanBody()` Created a new SequentialGoalPlan.

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `action()`
    `boolean` | `done()`
    `PlanInstance.EndState` | `getEndState()` Returns the end state of the execution of this plan.
    `void` | `init(PlanInstance planInstance)` Initializes this plan.
    `void` | `setGoalOutput(Goal goal)` Sets the output parameters in the goal.

    - ### Methods inherited from class jade.core.behaviours.Behaviour

      `actionWrapper, block, block, getBehaviourName, getDataStore, getExecutionState, getRestartCounter, handleRestartEvent, isRunnable, onEnd, onStart, reset, restart, root, setAgent, setBehaviourName, setDataStore, setExecutionState`

    - ### Methods inherited from class java.lang.Object

      `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### SequentialGoalPlanBody

          public SequentialGoalPlanBody()

      Created a new SequentialGoalPlan.

  - ### Method Detail

    - #### action

          public void action()

      Specified by:
        `action` in class `jade.core.behaviours.Behaviour`
      See Also:
        `Behaviour.action()`

    - #### done

          public boolean done()

      Specified by:
        `done` in class `jade.core.behaviours.Behaviour`
      See Also:
        `Behaviour.done()`

    - #### getEndState

          public PlanInstance.EndState getEndState()

      Description copied from interface: `PlanBody`
      Returns the end state of the execution of this plan.
      Specified by:
        `getEndState` in interface `PlanBody`
      Returns:
        the end state of this plan, or null if it has not finished yet.
      See Also:
        `PlanBody.getEndState()`

    - #### init

          public void init(PlanInstance planInstance)

      Initializes this plan. Starts the goals iterator.
      Specified by:
        `init` in interface `PlanBody`
      Parameters:
        `planInstance` - the plan instance associated with this plan.

    - #### setGoalOutput

          public void setGoalOutput(Goal goal)

      Description copied from interface: `OutputPlanBody`
      Sets the output parameters in the goal.
      Specified by:
        `setGoalOutput` in interface `OutputPlanBody`
      Parameters:
        `goal` - the goal whose output parameters are to be set.
      See Also:
        `OutputPlanBody.setGoalOutput(bdi4jade.goal.Goal)`